#include "extern.h"
#include "aClient.h"
#include "flags.h"
#include "options.h"

void do_load(char *u)
{
    aClient *user;

    if (!(user = find(u)))
    {
      notice(s_GameServ, u, "Error: aClient not found. Contact a <S admin");
      log("Error: aClient not found: %s", u);
    }
    else if (!isAdmin(user))
    {
      notice(s_GameServ, u, "You must be a <S admin to use this command!");
    }
    else
    {
        char *cmd2 = strtok(NULL, " ");
        if (!cmd2)
        {
            notice(s_GameServ, u, "Loading player data from %s", playerdata);
            load_gs_dbase();
        }
        else if (stricmp(cmd2, "MONSTERS") == 0)
        {
            notice(s_GameServ, u, "Loading monster data");
            load_monsters();
        }
        else if (stricmp(cmd2, "SCRIPTS") == 0)
        {
            // Testing scripts for now
            script scr;
            notice(s_GameServ, u, "Loading scripts");

            if (scr.loadScript("test.txt"))
                scr.executeScript(user->stats);
        }
        else
        {
            display_help(u, "load");
        }
    }
}
