#ifndef POUCH_H
#define POUCH_H

#include <list>
#include <string>

class item; // forward declaration
class itemContainer; // forward declaration

using namespace std;

class pouch 
{
 public:
  pouch();
  pouch(pouch *);
  pouch(const pouch &);
  ~pouch();

  void sort();
  void clear();
  bool isEmpty();
  int getCount() {return count; };

  itemContainer *Find(char *);
  itemContainer *Find(string &);
  itemContainer *Find(int );

  itemContainer *addItem(item *);
  itemContainer *addItem(item *, int);
  itemContainer *addItemNoChecks(item *);
  void deleteItem(item *);
  list <itemContainer> *getItems() { return &items; };

  // operators
  const pouch &operator = ( const pouch &);

 private:
  list <itemContainer> items;
  long count;
};

#endif
